## Welcome to the `Javis.jl` Docs! 🥳

![](assets/showcase.gif)

This documentation is designed to provide greater detail into what `Javis.jl` is, its mission, and how to use it.
These are its main components:

- [**The Mission and Vision of `Javis.jl`**](mission.md) - this encapsulates our goals and vision for what this project is and what it could be. **If you want to contribute to this project, please read this.** 
- [**Tutorials**](tutorials.md) - these tutorials are designed to help you learn how to use `Javis`.
- [**Contributing**](contributing.md) - these are our guidelines for contributing. **If you want to contribute to this project, please read this.** 
- [**References**](references.md) - this is an index of all available functions in the `Javis.jl` package. A great resource for working with `Javis`.

For releases, we follow the semantic versioning protocol and enforce the [BlueStyle code style format](https://github.com/invenia/BlueStyle).

## Installing `Javis.jl`

To install `Javis` into your Julia installation, type into your Julia REPL the following:

```
julia> ] add Javis
```

That's all there is to it! 😃

## Optional Dependencies

If you want `LaTeX` support, please use `node` to install the following:

```
npm install -g mathjax-node-cli
```

As of this moment, we do not have native `LaTeX` rendering in Julia.
We look forward to the day when we can remove this from our documentation!

What is also required is the great package, [`LaTeXStrings`](https://github.com/stevengj/LaTeXStrings.jl).
Add that via your Julia REPL with the following commands:

```
julia> ] add LaTeXStrings
```
